libkate: kate_tracker Struct Reference

# kate_tracker Struct Reference

`#include <kate.h>`

## Data Fields
const kate_info * | ki
kate_const kate_event * | event
kate_float | t
struct {
unsigned int region:1
unsigned int text_alignment_int:1
unsigned int text_alignment_ext:1
unsigned int text_pos:1
unsigned int text_size:1
unsigned int marker_pos:4
unsigned int text_color:1
unsigned int background_color:1
unsigned int draw_color:1
unsigned int glyph_pointer:4
unsigned int path:1
unsigned int draw:1
unsigned int visible_section:1
unsigned int z:1
unsigned int hmargins:1
unsigned int vmargins:1
unsigned int bitmap_pos:1
unsigned int bitmap_size:1
unsigned int marker_bitmap:4
unsigned int glyph_pointer_bitmap:4
unsigned int draw_width:1
} | has
int | window_w
int | window_h
int | frame_x
int | frame_y
int | frame_w
int | frame_h
kate_float | region_x
kate_float | region_y
kate_float | region_w
kate_float | region_h
kate_float | text_halign
kate_float | text_valign
kate_float | text_x
kate_float | text_y
kate_float | text_size_x
kate_float | text_size_y
kate_float | marker_x [4]
kate_float | marker_y [4]
kate_color | text_color
kate_color | background_color
kate_color | draw_color
kate_float | glyph_pointer [4]
kate_float | glyph_height [4]
kate_float | path_start
kate_float | path_end
kate_float | draw_x
kate_float | draw_y
kate_float | visible_x
kate_float | visible_y
kate_float | z
kate_float | left_margin
kate_float | right_margin
kate_float | top_margin
kate_float | bottom_margin
kate_float | bitmap_x
kate_float | bitmap_y
kate_float | bitmap_size_x
kate_float | bitmap_size_y
const kate_bitmap * | marker_bitmap [4]
const kate_bitmap * | glyph_pointer_bitmap [4]
kate_float | draw_width

## Detailed Description

this keeps track of changes during an event's lifetime

## Field Documentation

kate_color kate_tracker::background_color

the background color

unsigned int kate_tracker::background_color

if set, the tracker has background color information

Referenced by kate_tracker_update().

unsigned int kate_tracker::bitmap_pos

if set, the tracker has bitmap position information

Referenced by kate_tracker_update().

unsigned int kate_tracker::bitmap_size

if set, the tracker has bitmap size information

Referenced by kate_tracker_update().

kate_float kate_tracker::bitmap_size_x

the horizontal bitmap size (eg, width)

Referenced by kate_tracker_update().

kate_float kate_tracker::bitmap_size_y

the vertical bitmap size (eg, height)

Referenced by kate_tracker_update().

kate_float kate_tracker::bitmap_x

the horizontal bitmap position

Referenced by kate_tracker_update().

kate_float kate_tracker::bitmap_y

the vertical bitmap position

Referenced by kate_tracker_update().

kate_float kate_tracker::bottom_margin

the size of the bottom margin

Referenced by kate_tracker_update().

unsigned int kate_tracker::draw

if set, the tracker has draw information

Referenced by kate_tracker_update().

kate_color kate_tracker::draw_color

the draw color

unsigned int kate_tracker::draw_color

if set, the tracker has draw color information

Referenced by kate_tracker_update().

kate_float kate_tracker::draw_width

width of the drawn line

unsigned int kate_tracker::draw_width

if set, the tracker has draw line width information

Referenced by kate_tracker_update().

kate_float kate_tracker::draw_x

the current horizontal position of the drawn shape

Referenced by kate_tracker_update().

kate_float kate_tracker::draw_y

the current vertical position of the drawn shape

Referenced by kate_tracker_update().

kate_const kate_event* kate_tracker::event

the event being tracked

Referenced by kate_tracker_clear(), kate_tracker_init(), kate_tracker_remap(), and kate_tracker_update().

int kate_tracker::frame_h

the video frame height

Referenced by kate_tracker_remap(), and kate_tracker_update().

int kate_tracker::frame_w

the video frame width

Referenced by kate_tracker_remap(), and kate_tracker_update().

int kate_tracker::frame_x

the video frame origin in the window

Referenced by kate_tracker_remap(), and kate_tracker_update().

int kate_tracker::frame_y

the video frame origin in the window

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::glyph_height[4]

the height associated with each glyph pointer in pixels

Referenced by kate_tracker_update().

kate_float kate_tracker::glyph_pointer[4]

the glyph index of each glyph pointer

unsigned int kate_tracker::glyph_pointer

if set, the tracker has glyph pointer information

Referenced by kate_tracker_update().

const kate_bitmap* kate_tracker::glyph_pointer_bitmap[4]

index of the bitmap for the glyph pointer bitmap

unsigned int kate_tracker::glyph_pointer_bitmap

if set, the tracker has bitmap information for the glyph pointer bitmap

Referenced by kate_tracker_update().

struct { ... } kate_tracker::has

bitfield describing what information the tracker has

Referenced by kate_tracker_get_text_path_position(), and kate_tracker_update().

unsigned int kate_tracker::hmargins

if set, the tracker has horizontal margin information

Referenced by kate_tracker_update().

const kate_info* kate_tracker::ki

the kate_info associated with this tracker

Referenced by kate_tracker_init(), and kate_tracker_update().

kate_float kate_tracker::left_margin

the size of the left margin

Referenced by kate_tracker_update().

const kate_bitmap* kate_tracker::marker_bitmap[4]

index of the bitmap for the marker bitmap

unsigned int kate_tracker::marker_bitmap

if set, the tracker has bitmap information for the marker bitmap

Referenced by kate_tracker_update().

unsigned int kate_tracker::marker_pos

if set, the tracker has marker position information

Referenced by kate_tracker_update().

kate_float kate_tracker::marker_x[4]

the horizontal position of each marker

Referenced by kate_tracker_update().

kate_float kate_tracker::marker_y[4]

the vertical position of each marker

Referenced by kate_tracker_update().

unsigned int kate_tracker::path

if set, the tracker has text path information

Referenced by kate_tracker_get_text_path_position(), and kate_tracker_update().

kate_float kate_tracker::path_end

the end point of the current path part

Referenced by kate_tracker_get_text_path_position(), and kate_tracker_update().

kate_float kate_tracker::path_start

the starting point of the current path part

Referenced by kate_tracker_get_text_path_position(), and kate_tracker_update().

unsigned int kate_tracker::region

if set, the tracker has region information

Referenced by kate_tracker_update().

kate_float kate_tracker::region_h

the region height in pixels

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::region_w

the region width in pixels

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::region_x

the region horizontal position in pixels

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::region_y

the region vertical position in pixels

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::right_margin

the size of the right margin

Referenced by kate_tracker_update().

kate_float kate_tracker::t

the current time at which the tracker interpolates

Referenced by kate_tracker_update().

unsigned int kate_tracker::text_alignment_ext

if set, the tracker has external text alignment information

Referenced by kate_tracker_update().

unsigned int kate_tracker::text_alignment_int

if set, the tracker has internal text alignment information

Referenced by kate_tracker_update().

kate_color kate_tracker::text_color

the text color

unsigned int kate_tracker::text_color

if set, the tracker has text color information

Referenced by kate_tracker_update().

kate_float kate_tracker::text_halign

the horizontal text alignment (-1 for left, 1 for right, etc)

Referenced by kate_tracker_update().

unsigned int kate_tracker::text_pos

if set, the tracker has text position information

Referenced by kate_tracker_update().

unsigned int kate_tracker::text_size

if set, the tracker has text size information

Referenced by kate_tracker_update().

kate_float kate_tracker::text_size_x

the horizontal text size (eg, width)

Referenced by kate_tracker_update().

kate_float kate_tracker::text_size_y

the vertical text size (eg, height)

Referenced by kate_tracker_update().

kate_float kate_tracker::text_valign

the vertical text alignment (-1 for top, 1 for bottom, etc)

Referenced by kate_tracker_update().

kate_float kate_tracker::text_x

the horizontal text position

Referenced by kate_tracker_update().

kate_float kate_tracker::text_y

the vertical text position

Referenced by kate_tracker_update().

kate_float kate_tracker::top_margin

the size of the top margin

Referenced by kate_tracker_update().

unsigned int kate_tracker::visible_section

if set, the tracker has visible section information

Referenced by kate_tracker_update().

kate_float kate_tracker::visible_x

the glyph index of the first visible glyph

Referenced by kate_tracker_update().

kate_float kate_tracker::visible_y

the glyph index of the last visible glyph

Referenced by kate_tracker_update().

unsigned int kate_tracker::vmargins

if set, the tracker has vertical margin information

Referenced by kate_tracker_update().

int kate_tracker::window_h

the window height

Referenced by kate_tracker_remap(), and kate_tracker_update().

int kate_tracker::window_w

the window width

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_float kate_tracker::z

the depth of this event's text

unsigned int kate_tracker::z

if set, the tracker has z (depth) information

Referenced by kate_tracker_update().

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h